SPI_MESSAGE_INIT_WIT(9)

NAME
spi_message_init_with_transfers - Initialize spi_message and append transfers

SYNOPSIS

void spi_message_init_with_transfers(struct spi_message * m, struct spi_transfer * xfers, unsigned int num_xfers);

ARGUMENTS

m
    spi_message to be initialized

xfers
    An array of spi transfers

num_xfers
    Number of items in the xfer array

DESCRIPTION

This function initializes the given spi_message and adds each spi_transfer in the given array to the message.

COPYRIGHT